#ifndef ATTRIBUTES_H
#define ATTRIBUTES_H

#include "utils/ArrayList.h"
#include "wrapper/GL.h"

class Attributes final {
    ArrayList<GL::Attribute, 10> attributes;

    friend class VertexBuffer;

public:
    Attributes& addFloat(int count);
    Attributes& addColor4();
    Attributes& addSpacer();

private:
    void set() const;
};

#endif